
variable "role_name" {
  type = string
}

variable "tags" {
  type        = map(string)
  description = "Tags for IAM"
}

variable "trust_relationship_arns" {
  type    = list(string)
  default = []
}

variable "aws_account_number" {
  type = string
}

variable "managed_policies" {
  type    = list(string)
  default = []
}

variable "policies" {
  type    = list(string)
  default = []
}

variable "lambda_role" {
  type    = bool
  default = false
}

variable "firehose_role" {
  type    = bool
  default = false
}

variable "stepfunctions_role" {
  type    = bool
  default = false
}

variable "glue_role" {
  type    = bool
  default = false
}

variable "dax_role" {
  type    = bool
  default = false
}

variable "rds_role" {
  type    = bool
  default = false
}

variable "assume_role" {
  type    = bool
  default = false
}

variable "dataforwarder_role" {
  type    = bool
  default = false
}

variable "kinesis_policy_arn" {
  type        = string
  description = "If the IAM role is for Kinesis Firehose use, the ARN of the source kinesis stream"
  default     = ""
}

variable "s3_policy_arn" {
  type        = string
  description = "If the IAM role is for Kinesis Firehose use, the ARN of the destination s3 bucket"
  default     = ""
}

variable "dynamodb_tables_arns" {
  type        = list(string) 
  description = "If the IAM role is for DAX use, a list of DynamoDB tables' ARNs to provide access to"
  default     = []
}

variable "aws_arn_prefix" {
  type        = string
  description = "Arn Prefix for AWS resources. Gov: arn:aws-us-gov, Com: arn:aws"
}
